Bug 495730 - port to PolicyKit 1.0
port to PolicyKit 1.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 10:31 EDT by Matthias Clasen
Modified: 2014-06-18 05:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 12:50:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (29.36 KB, patch)
2009-04-14 10:31 EDT, Matthias Clasen
no flags Details | Diff
working patch, ported to 0.92 (29.96 KB, patch)
2009-05-13 23:11 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2009-04-14 10:31:51 EDT
Created attachment 339505 [details]
patch

Here is a very rough conversion of the current patch, it clearly needs more work, but at least it compiles.

- It just rips out all the polkit-gnome goodness, so no more icons, or ellipsis, or sensitivity updates.

- The mechanism calls probably need to be made async

- The secondary-action-id stuff is gone; it looked like a hack to work around inconsistent policies.
Comment 1 Matthias Clasen 2009-05-13 23:11:02 EDT
Created attachment 343904 [details]
working patch, ported to 0.92
Comment 2 Bug Zapper 2009-06-09 09:48:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matthias Clasen 2009-06-09 12:50:00 EDT
built in gnome-system-monitor-2.26.1-3.fc12

Note You need to log in before you can comment on or make changes to this bug.